%define pre %nil
%define version_name %{name}-%{version}
%define iconname %{name}.png

# exclude plugin .so from provides
%define _exclude_files_from_autoprov	%{_libdir}/%{name}/plugins/.*\\.so

Summary:	The user-friendly, lightweight and fast GTK2 based email client
Summary(de):	Benutzerfreundlicher, leichter, schneller GTK2 basierender Email Client
Name:		claws-mail
Version:	3.17.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Networking/Mail
URL:		http://www.claws-mail.org
Source0:	http://downloads.sourceforge.net/sylpheed-claws/%{name}-%{version}.tar.xz

#--------------------------------------------------------
BuildRequires: libarchive-devel
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libcanberra-devel
BuildRequires: libcanberra-gtk-devel
BuildRequires: libcompface-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-1-devel
BuildRequires: libdbus-glib-1_2-devel
BuildRequires: libenchant-devel
BuildRequires: libetpan-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdata-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0_0-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libgtk+2.0_0-devel
BuildRequires: libice-devel
BuildRequires: libldap2.4_2-devel
BuildRequires: libnotify-devel
BuildRequires: libpango1.0-devel
BuildRequires: libpisock-devel
BuildRequires: libpoppler-glib-devel
BuildRequires: libpython-devel
BuildRequires: libsm-devel
BuildRequires: libsoup-devel
BuildRequires: libstartup-notification-1-devel
BuildRequires: libwebkitgtk1.0-devel
BuildRequires: libx11-devel
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: libxcb-devel
BuildRequires: perl-devel
BuildRequires: multiarch-utils
BuildRequires: ImageMagick
BuildRequires: x11-proto-devel
BuildRequires: pygtk2.0-devel
BuildRequires: python-gobject-devel
BuildRequires: libical-devel
BuildRequires: librsvg2-devel
BuildRequires: libgnome2-devel
#--------------------------------------------------------
Obsoletes:	%{name}-tools
Provides:	%{name}-tools
Obsoletes:	claws-mail-acpi-plugin
Obsoletes:	claws-mail-address_keeper-plugin
Obsoletes:	claws-mail-att_remover-plugin
Obsoletes:	claws-mail-attachwarner-plugin
Obsoletes:	claws-mail-bsfilter-plugin
Obsoletes:	claws-mail-clamd-plugin
Obsoletes:	claws-mail-dillo_viewer-plugin
Obsoletes:	claws-mail-fancy-plugin
Obsoletes:	claws-mail-fetchinfo-plugin
Obsoletes:	claws-mail-gtkhtml2_viewer-plugin
Obsoletes:	claws-mail-mailmbox-plugin
Obsoletes:	claws-mail-newmail-plugin
Obsoletes:	claws-mail-notification-plugin
Obsoletes:	claws-mail-perl-plugin
Obsoletes:	claws-mail-python-plugin
Obsoletes:	claws-mail-rssyl-plugin
Obsoletes:	claws-mail-spam_report-plugin
Obsoletes:	claws-mail-tnef_parse-plugin
Obsoletes:	claws-mail-trayicon-plugin
Obsoletes:	claws-mail-vcalendar-plugin
Obsoletes:	claws-mail-vcalendar-plugin-devel
Obsoletes:	claws-mail-spamassassin-plugin
Obsoletes:	claws-mail-smime-plugin
Obsoletes:	claws-mail-pgpmime-plugin
Obsoletes:	claws-mail-pgpinline-plugin
Obsoletes:	claws-mail-pgpcore-plugin
Obsoletes:	claws-mail-bogofilter-plugin
#--------------------------------------------------------
Requires:	pinentry-gtk2
Requires:	gnutls
Requires:	glibc >= 2.20
#-------------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot



%description
Claws-Mail is an e-mail client (and news reader) based on GTK+2, running
on X Window System, and aiming for:
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package. It has
some additional features, and also extends existing features.

Addtitional features include:
    o Scoring
    o Spell checking
    o Return receipts

Improved features include:
    o SMTP Auth
    o Filtering
    o MIME attachments
    o Integrated News reader
    o Automatic mail checking
    o Line-wrapping
    o XML-based addressbook
    o Newly arrived and unread message management
    o Printing
    o GnuPG support
    o Address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://www.claws-mail.org/features.php

#german
%description -l de
Verbesserte Version des Sylpheed Email Client Claws-Mail ist ein Email Client 
(und einen Nachrichtenleser) basierend auf GTK+2, und läuft in einem X Window 
System. 
Es liefert: 
* Schnelle Antwort 
* Nette durchdachte Schnittstelle 
* Einfache Konfiguration, intuitive Bedienung 
* Vielseitige Eigenschaften Die Aufmachung und die Bedienung sind ähnlich zu 
  einigen populären Email-Programmen wie Windows Outlook Express, Becky!, 
  und Datula. Die Bedienung kann ebenfalls per Tastenkombination ähnlich wie 
  bei Emacs erfolgen, und die meisten Kommandos sind per Tastatur erreichbar. 

Die Emails werden im MH Format verwaltet, und man kann diese mit anderen 
Mail-Programmen, die ebenfalls das MH Format verwenden (wie Mew), ebenfalls 
nutzen. Man kann ebenfalls fetchmail oder/und procmail verwenden, und 
weiterhin externe Programme beim Abrufen der Mails (wie inc oder imget). 
Dies ist eine verbesserte Version verglichen mit dem reinen sylpheed 
Programm-Paket. Es hat einige zusätzliche Eigenschaften und erweitert 
bestehende Funktionen. 

%package devel
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-devel
Development files and headers for %{name}.
#german
%description -n %{name}-devel -l de
Entwicklerdateien und Headers für %{name}.

#new
%package plugins-acpi-notifier
Summary:        ACPI notification plugin for Claws Mail 
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-acpi-notifier
Enables mail notification via LEDs on some laptops. Options can be found on
the 'Plugins/Acpi Notifier' page of the preferences.


%package plugins-address-keeper
Summary:        Never forget a typed address in Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-address-keeper
This plugin allows saving outgoing addresses to a designated folder
in the address book. Addresses are saved only if not found in the
address book to avoid unwanted duplicates.

%package plugins-archive
Summary:        Archiving features for Claws Mail 
Group:         Networking/Mail
Requires:      %{name} = %{version}-%{release}

%description plugins-archive
This plugin adds archiving features to Claws Mail.


%package plugins-attachwarner
Summary:        Attachment warner plugin for Claws Mail 
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-attachwarner
Warns when the user composes a message mentioning an attachment in the message
body but without attaching any files to the message. 


%package plugins-att-remover
Summary:        Attachments remover plugin for Claws Mail 
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-att-remover
Enables the removal of attachments from emails. When right-clicking a message,
choose 'Remove attachments' from the sub-menu.


%package plugins-bsfilter
Summary:        Bayesian spam filtering for Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}
Requires:       bsfilter

%description plugins-bsfilter
Bayesian spam filtering for Claws Mail using Bsfilter.


%package plugins-bogofilter
Summary:	Bogofilter plugin for %{name}
Summary(de):	claws-mail-bogofilter-plugin
Group:		Networking/Mail
BuildRequires:	bogofilter
Requires:	%{name} = %{version}-%{release}
Requires:	bogofilter

%description plugins-bogofilter
Enables the scanning of incoming mail received from a 
POP, IMAP, or LOCAL account using Bogofilter. It can 
optionally delete mail identified as spam or save it 
to a designated folder. Bogofilter is a pure Bayesian 
filter, therefore it has better speed performance 
than SpamAssassin but might catch less spam.
#german
%description plugins-bogofilter -l de
Diese Erweiterung enthält einen Spam Filter und ist lernfähig. 

%package plugins-clamd
Summary:        Use Clam AntiVirus to scan messages in Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-clamd
This plugin uses Clam AntiVirus to scan all messages that are
received from an IMAP, LOCAL or POP account.
When a message attachment is found to contain a virus it can be
deleted or saved in a specially designated folder.
Options can be found in /Configuration/Preferences/Plugins/Clam AntiVirus.

%package plugins-fancy
Summary:        Display HTML emails in Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-fancy
This plugin renders HTML email via the GTK+ port of the WebKit library.


%package plugins-fetchinfo
Summary:        Modify headers of downloaded messages in Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-fetchinfo
This plugin inserts headers containing some download information:
UIDL, Sylpheeds account name, POP server, user ID and retrieval time.


%package plugins-gdata
Summary:        Access to GData (Google services) for Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-gdata
Access to GData (Google services) for Claws Mail.

The only currently implemented feature is inclusion of
Google contacts into the address completion.


%package plugins-mailmbox
Summary:        Add support for mailboxes in mbox format to Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-mailmbox
This plugin provides direct support for mailboxes in mbox format.

%package plugins-newmail
Summary:        Make Claws Mail write a message header summary to a file
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-newmail
Write a message header summary to a log file (defaults to ~/Mail/NewLog) on
arrival of new mail *after* sorting.

%package plugins-notification
Summary:        Various ways to notify about new messages in Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-notification
This plugin collects various ways to notify the user of new (and possibly
unread) mail. Currently, a pop-up and a mail banner are implemented.

%package plugins-pdf-viewer
Summary:        Enables the viewing of PDF and PostScript attachments
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-pdf-viewer
This plugin handles PDF and Postscript attachments.


%package plugins-perl
Summary:        Perl based extended filtering engine for Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-perl
This plugin provides an extended filtering engine for the email client
Claws Mail. It allows for the use of full perl power in email filters.

%package plugins-python
Summary:        Python scripting access to Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-python
This plugin offers a Python scripting access to Claws Mail. Python code can be
entered interactively into an embedded Python console or stored in scripts
under ~/.claws-mail/python-scripts. The scripts are then accessible via the
menu of the main window.


%package plugins-rssyl
Summary:        RSS plugin for Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-rssyl
Allows you to read your favorite RSS news feeds in Claws Mail. RSS 1.0,
2.0 and Atom feeds are currently supported.


%package plugins-smime
Summary:	S/Mime plugin for %{name}
Summary(de):	claws-mail-smime-plugin
Group:		Networking/Mail
Requires:	%{name} = %{version}-%{release}

%description plugins-smime
This plugin allows to use S/Mime signatures and encryptions
in Claws Mail
#german
%description plugins-smime -l de
Diese Erweiterung ermöglicht SMIME in Mails. 

%package plugins-pgpcore
Summary:	PGP core plugin for %{name}
Summary(de):	claws-mail-pgpcore-plugin
Group:		Networking/Mail
Requires:	%{name} = %{version}-%{release}

%description plugins-pgpcore
Handles core PGP functions and is a dependency of both 
the PGP/Inline and PGP/MIME plugins.
#german
%description plugins-pgpcore -l de
Diese Erweiterung bearbeitet die PGP Kern Operationen. 
Es wird von anderen Erweiterungen verwendet, wie der 
pgpmime Erweiterung und der pgpinline Erweiterung. 

%package plugins-pgpinline
Summary:	PGP/Inline plugin for %{name}
Summary(de):	claws-mail-pgpinline-plugin
Group:		Networking/Mail
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-pgpcore = %{version}-%{release}

%description plugins-pgpinline
Handles PGP/Inline signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign 
and encrypt your own mails.
#german
%description plugins-pgpinline -l de
Diese Erweiterung ermöglicht die Überprüfung der Signaturen 
von digital signierten Emails, und ebenfalls die Entschlüsselung 
von verschlüsselten Botschaften. 

%package plugins-pgpmime
Summary:	PGP/MIME plugin for %{name}
Summary(de):	claws-mail-pgpmime-plugin
Group:		Networking/Mail
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-pgpcore = %{version}-%{release}

%description plugins-pgpmime
Handles PGP/MIME signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign
and encrypt your own mails.
#german
%description plugins-pgpmime -l de
Diese Erweiterung überprüft Signaturen und entschlüsselt Botschaften. 

%package plugins-spamassassin
Summary:	Spamassassin-plugin for %{name}
Summary(de):	claws-mail-spamassassin-plugin
Group:		Networking/Mail
Requires:	%{name} = %{version}-%{release}
Requires:	spamassassin-spamd

%description plugins-spamassassin
Enables the scanning of incoming mail received from a 
POP, IMAP, or LOCAL account using SpamAssassin

See README for configuration and set-up info.
#german
%description plugins-spamassassin -l de
Dieses Programm-Paket benutzt den spamd SpamAssassin Server um die 
Emails auf spam zu überprüfen. Lese zur Konfiguration die README. 

%package plugins-spam-report
Summary:        Report spam mail to various places with Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-spam-report
This plugin for Claws Mail can report spam mail to various places.

%package plugins-tnef
Summary:        TNEF message parsing for Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-tnef
This plugin allows reading of application/ms-tnef attachments.

%package plugins-vcalendar
Summary:        Handling of vCalendar messages in Claws Mail
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-vcalendar
This plugin enables vCalendar message handling like that produced by
Evolution or Outlook. It also supports subscribing to remote webCal feeds, and
exporting of your meetings or all your calendars.

%package plugins-libravatar
Summary:        Display sender profile images from libravatar service
Group:          Networking/Mail
Requires:       %{name} = %{version}-%{release}

%description plugins-libravatar
This plugin allows displaying sender profile images of
the FOSS libravatar service or any compatible implementation. 

%package managesieve-plugin
Summary:	ManageSieve plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{version}

%description managesieve-plugin
The Claws Mail ManageSieve plugin provides an interface for managing Sieve
filters. Sieve filters are used for filtering mail on mail servers, usually
with an IMAP account.

This plugin handles managing Sieve filters, editing them, and checking their
syntax.

%package plugins-dillo-viewer
Summary:	plugin dillo for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{version}

%description plugins-dillo-viewer
The Claws Mail Dillo plugin


%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-tnef_parse-plugin --disable-rpath --disable-static --disable-bsfilter-plugin --disable-manual

%make

%install
rm -rf %{buildroot}
%makeinstall_std

##remove duplicate man#
rm -rf  %{buildroot}%{_mandir}
rm -f %{buildroot}%{_libdir}/%{name}/plugins/*.*a

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert %{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
install -m644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{iconname}
install -m644 %{name}-64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{iconname}
install -m644 %{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{iconname}

mkdir -p %{buildroot}%{_datadir}/applications/
install -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/

# install tools
mkdir -p %{buildroot}%{_docdir}/%{name}/
cp -a tools %{buildroot}%{_docdir}/%{name}/tools
rm -rf %{buildroot}%{_docdir}/%{name}/tools/Makefile*


desktop-file-install --vendor="" \
 --add-category="X-MandrivaLinux-Internet-Mail" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/sylpheed-claws
%{_datadir}/applications/claws-mail.desktop
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_iconsdir}/hicolor/*/apps/*.png
%{_docdir}/claws-mail

#%{_datadir}/appdata/claws-mail.appdata.xml
   
%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/claws-mail.pc

%files plugins-libravatar
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/libravatar.so
   
%files plugins-acpi-notifier
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/acpi_notifier*

%files plugins-attachwarner
%{_libdir}/claws-mail/plugins/attachwarner*

%files plugins-address-keeper
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/address_keeper*

%files plugins-archive
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/archive.so

%files plugins-att-remover
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/att_remover*

%files plugins-bogofilter
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/bogofilter.so

#%files plugins-bsfilter
#%defattr(-,root,root)
#%{_libdir}/claws-mail/plugins/bsfilter*

%files plugins-clamd
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/clamd*

%files plugins-fancy
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/fancy*

%files plugins-fetchinfo
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/fetchinfo*

%files plugins-gdata
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/gdata*

%files plugins-mailmbox
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/mailmbox*

%files plugins-newmail
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/newmail.so

%files plugins-notification
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/notification*

%files plugins-pdf-viewer
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/pdf_viewer*

%files plugins-perl
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/perl.so

%files plugins-python
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/python.so

%files plugins-rssyl
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/rssyl*

%files plugins-smime
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/smime.so
%{_libdir}/%{name}/plugins/smime.deps

%files plugins-pgpcore
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/pgpcore.so

%files plugins-pgpinline
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/pgpinline.so
%{_libdir}/%{name}/plugins/pgpinline.deps

%files plugins-pgpmime
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/pgpmime.so
%{_libdir}/%{name}/plugins/pgpmime.deps

%files plugins-spamassassin
%defattr(-,root,root)
%doc src/plugins/spamassassin/README
%{_libdir}/%{name}/plugins/spamassassin*.so

%files plugins-spam-report
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/spamreport.so

%files plugins-tnef
%defattr(-,root,root)
#%{_libdir}/claws-mail/plugins/tnef*

%files plugins-vcalendar
%defattr(-,root,root)
%{_libdir}/claws-mail/plugins/vcalendar*

%files managesieve-plugin
%{_libdir}/%{name}/plugins/managesieve.so

%files plugins-dillo-viewer
/usr/lib/claws-mail/plugins/dillo.so

%changelog
* Sat Nov 10 2018 adrianomorselli <adrianomorselli> 3.17.1-1uplo2018
- update 
